DEBSIGS-AUTOSIGN(1p)

NAME
debsigs-autosign - batch-sign Debian package files

SYNOPSIS
debsigs-autosign [options] sigtype [ ... ]

DESCRIPTION
debsigs-autosign reads a newline-delimited list of file names from standard input and runs debsigs(1) on each package, with arguments determined by the options, operands, and environment of debsigs-autosign. See the debsigs(1) manual page for more information about the signature types.

OPTIONS

--archive=keyid
--maint=keyid
--origin=keyid
    The above options specify cryptographic key identifiers for use with gpg(1).

--secring=file
    This option identifies a secret keyring file for use with gpg(1).

--verbose
    Displays verbose output.

OPERANDS
Each operand is a signature type to apply to the Debian package(s) to be processed. Currently recongnized signature types are archive, maint, and origin.

ENVIRONMENT
The following environment variables are recognized by debsigs-autosign:

DEBSIGS_ARCHIVE_ID
DEBSIGS_MAINT_ID
DEBSIGS_ORIGIN_ID
    The above variables specify cryptographic key identifiers for use with gpg(1).

DEBSIGS_SECRING
    This variable identifies a secret keyring file for use with gpg(1).

AUTHORS

John Goerzen <jgoerzen@complete.org>
Branden Robinson <branden@debian.org>

SEE ALSO
debsigs(1), debsig-verify(1), gpg(1)